Package com.databricks.jdbc.dbclient.impl.http

## Class DatabricksHttpClientFactory

- java.lang.Object
- - com.databricks.jdbc.dbclient.impl.http.DatabricksHttpClientFactory

    public class DatabricksHttpClientFactory
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`IDatabricksHttpClient` `getClient​(IDatabricksConnectionContext context)`
`IDatabricksHttpClient` `getClient​(IDatabricksConnectionContext context, HttpClientType type)`
`static DatabricksHttpClientFactory` `getInstance()`
`void` `removeClient​(IDatabricksConnectionContext context)`
`void` `removeClient​(IDatabricksConnectionContext context, HttpClientType type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static DatabricksHttpClientFactory getInstance()

#### getClient

    public IDatabricksHttpClient getClient​(IDatabricksConnectionContext context)

#### getClient

    public IDatabricksHttpClient getClient​(IDatabricksConnectionContext context,
                                           HttpClientType type)

#### removeClient

    public void removeClient​(IDatabricksConnectionContext context)

#### removeClient

    public void removeClient​(IDatabricksConnectionContext context,
                             HttpClientType type)